Bug 170 - PHP-mode старой версии
: PHP-mode старой версии
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/emacs-common)
: unstable
: all Linux
: P4 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2001-11-20 19:02 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2001-11-20 19:02:03
В пакете PHP-mode устаревший. Новый можно взять: 
<a
href="http://sourceforge.net/projects/php-mode/">http://sourceforge.net/projects/php-mode/</a>
также можно добавить файл для автоматической загрузки PHP-mode: 

(autoload \'php-mode \&quot;php-mode\&quot;)
(setq auto-mode-alist (cons \'(\&quot;\\\\.php[34]\\\\|.php\\\\|.phtml\&quot; .
php-mode)
                            auto-mode-alist))

И для желающих неплохо бы положить:
<a
href="http://www.tihlde.org/~stigb/rpm-spec-mode.el">http://www.tihlde.org/~stigb/rpm-spec-mode.el</a>
<a
href="http://www.python.org/emacs/python-mode/">http://www.python.org/emacs/python-mode/</a>
Более свежие версии.

---

---
------- Comment #1 From 2002-02-11 19:48:26 -------
php-mode работает в emacs-21.1-alt10.

Грядет перемещение его в другой пакет.

По-моему, другие дополнительные modes должны тоже быть в своих пакетах: либо отдельных, либо в пакетах с инструментами обработки того, что они помогают редактировать: php-mode -- в php, python-mode -- в python, rpm-spec-mode -- в rpm-build. (А если они часть большлого пакета emacs, то поддержание их в свежем и пригодном для использования виде сложно: в них гораздо больше заинтересован maintainer и авторы скриптов для соответствующих интерпретаторов.)

По этому упомянутые выше вещи: свежий python-mode и включение rpm-sepc-mode -- относятся скорее к пакетам python и rpm-build.
------- Comment #2 From 2002-02-11 19:48:26 -------
php-mode работает в emacs-21.1-alt10.

Грядет перемещение его в другой пакет.

По-моему, другие дополнительные modes должны тоже быть в своих пакетах: либо отдельных, либо в пакетах с инструментами обработки того, что они помогают редактировать: php-mode -- в php, python-mode -- в python, rpm-spec-mode -- в rpm-build. (А если они часть большлого пакета emacs, то поддержание их в свежем и пригодном для использования виде сложно: в них гораздо больше заинтересован maintainer и авторы скриптов для соответствующих интерпретаторов.)

По этому упомянутые выше вещи: свежий python-mode и включение rpm-sepc-mode -- относятся скорее к пакетам python и rpm-build.